# Authorization

The Singular API supports two main authentication options depending on the function you call.

* **Tokens:** `Tokens` are used as path variables in the query URL. Requests using `Tokens` require no authentication and support calls for sending data and trigger animations. Learn how to find `Tokens` for app instances [here](/singular-basics/managing-overlays-in-the-dashboard/how-to-find-an-apps-shared-app-token-and-shared-api-url.md).&#x20;
* **Private and public tokens:** [Singular data streams](https://api.singular.live/#59563b90-8f36-453e-9f14-ee71d05813ff) use private and public tokens for sending data and receiving data.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.singular.live/rest-api/authorization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
